IZMAX1(3f)

NAME
IZMAX1 - the index of the element whose real part has maximum absolute value

SYNOPSIS

INTEGER FUNCTION
    IZMAX1( N, CX, INCX )

INTEGER
    INCX, N

COMPLEX*16
    CX( * )

PURPOSE
IZMAX1 finds the index of the element whose real part has maximum absolute value. Based on IZAMAX from Level 1 BLAS.
The change is to use the 'genuine' absolute value.
Contributed by Nick Higham for use with ZLACON.

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vector CX.

CX      (input) COMPLEX*16 array, dimension (N)
    The vector whose elements will be summed.

INCX    (input) INTEGER
    The spacing between successive values of CX. INCX >= 1.